## gimpimageguides gimpimageguides — Functions for manipulating an image's guides. |

## Functions

gint32 | gimp_image_add_hguide ()
gint32 | gimp_image_add_vguide ()
gboolean | gimp_image_delete_guide ()
gint32 | gimp_image_find_next_guide ()
GimpOrientationType | gimp_image_get_guide_orientation ()
gint | gimp_image_get_guide_position ()

## Description

Functions for manipulating an image's guides.

## Functions

### gimp_image_add_hguide ()

    gint32
    gimp_image_add_hguide (gint32 image_ID,
                           gint yposition);

Add a horizontal guide to an image.

This procedure adds a horizontal guide to an image. It takes the input image and the y-position of the new guide as parameters. It returns the guide ID of the new guide.

#### Parameters

image_ID | The image. |
yposition | The guide's y-offset from top of image. |

#### Returns

The new guide.

### gimp_image_add_vguide ()

    gint32
    gimp_image_add_vguide (gint32 image_ID,
                           gint xposition);

Add a vertical guide to an image.

This procedure adds a vertical guide to an image. It takes the input image and the x-position of the new guide as parameters. It returns the guide ID of the new guide.

#### Parameters

image_ID | The image. |
xposition | The guide's x-offset from left of image. |

#### Returns

The new guide.

### gimp_image_delete_guide ()

    gboolean
    gimp_image_delete_guide (gint32 image_ID,
                             gint32 guide_ID);

Deletes a guide from an image.

This procedure takes an image and a guide ID as input and removes the specified guide from the specified image.

#### Parameters

image_ID | The image. |
guide_ID | The ID of the guide to be removed. |

#### Returns

TRUE on success.

### gimp_image_find_next_guide ()

    gint32
    gimp_image_find_next_guide (gint32 image_ID,
                                gint32 guide_ID);

Find next guide on an image.

This procedure takes an image and a guide ID as input and finds the guide ID of the successor of the given guide ID in the image's guide list. If the supplied guide ID is 0, the procedure will return the first Guide. The procedure will return 0 if given the final guide ID as an argument or the image has no guides.

#### Parameters

image_ID | The image. |
guide_ID | The ID of the current guide (0 if first invocation). |

#### Returns

The next guide's ID.

### gimp_image_get_guide_orientation ()

    GimpOrientationType
    gimp_image_get_guide_orientation (gint32 image_ID,
                                      gint32 guide_ID);

Get orientation of a guide on an image.

This procedure takes an image and a guide ID as input and returns the orientations of the guide.

#### Parameters

image_ID | The image. |
guide_ID | The guide. |

#### Returns

The guide's orientation.

### gimp_image_get_guide_position ()

    gint
    gimp_image_get_guide_position (gint32 image_ID,
                                   gint32 guide_ID);

Get position of a guide on an image.

This procedure takes an image and a guide ID as input and returns the position of the guide relative to the top or left of the image.

#### Parameters

image_ID | The image. |
guide_ID | The guide. |

#### Returns

The guide's position relative to top or left of image.